Path Parameters
The unique identifier of the changelog you wish to retrieve.
// Replace API_KEY with your api key and :changelogId with changelog id
curl --location 'https://api.supahub.com/api/v1/changelogs/:changelogId' \
--header 'Authorization: Bearer API_KEY'
const myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer API_KEY"); // Replace API_KEY with your api key
const requestOptions = {
method: "GET",
headers: myHeaders,
redirect: "follow",
};
fetch("https://api.supahub.com/api/v1/changelogs/:changelogId", requestOptions) // Replace :changelogId
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.error(error));
const axios = require("axios");
let config = {
method: "get",
maxBodyLength: Infinity,
url: "https://api.supahub.com/api/v1/changelogs/:changelogId", // Replace :changelogId
headers: {
Authorization: "Bearer API_KEY", // Replace API_KEY with your api key
},
};
async function makeRequest() {
try {
const response = await axios.request(config);
console.log(JSON.stringify(response.data));
} catch (error) {
console.log(error);
}
}
makeRequest();
import requests
url = "https://api.supahub.com/api/v1/changelogs/:changelogId" # Replace :changelogId
headers = {
'Authorization': 'Bearer API_KEY' # Replace API_KEY with your key.
}
response = requests.request("GET", url, headers=headers)
print(response.text)